; Frogger patch 8-18-04 Thomas Williamson

; Killer cool patch! Programmer made it extra cool by having x,y coordinates attached to variables (actually a good idea)

#include "frogger.inc" ; <-- makes sprite patch coordination easy

    .db 255, 134                    ; standard header
    .db 1                           ; fully editable patch
    
    .db 0, 7, "frogger"             ; edits "frogger"
    
    .db 17                          ; number of minipatches
    .db 10                          ; number of the last sprite patch
    
    .dw 335                         ; string size
    
; sprite patches

  .db 8, "Splat"
  .dw SPLAT - $d748 + 2
  .db %01111110
  .db %11111111
  .db %11100111
  .db %11000011
  .db %11100111
  .db %11100111
  .db %11111111
  .db %11111111

  .db 8, "Frog "
  .dw FROGGER - $d748 + 2
  .db %00000000
  .db %00010000
  .db %00111000
  .db %10010010
  .db %01111100
  .db %01111100
  .db %01111100
  .db %10010010

  .db 5, "Car1 "
  .dw CAR1 - $d748 + 2
  .db %00111000 
  .db %00100100
  .db %01111111
  .db %01111111
  .db %00100010

  .db 5, "Car2A"
  .dw CAR2a - $d748 + 2
  .db %00011101
  .db %00100110
  .db %11111110
  .db %11111111
  .db %01100000
  
  .db 5, "Car2B"
  .dw CAR2b - $d748 + 2
  .db %11111110
  .db %00000010
  .db %00000010
  .db %11111110
  .db %11001100
  
  .db 1, "Str. "
  .dw STREET - $d748 + 2
  .db %11111111
  
  .db 11, "Water"
  .dw WATER - $d748 + 2
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111
  .db %11111111

  .db 8, "LogLf"
  .dw LOGL - $d748 + 2
  .db %11000000
  .db %10000000
  .db %10000000
  .db %10000000
  .db %10000000
  .db %10000000
  .db %10000000
  .db %11000000
 
  .db 8, "LogRt"
  .dw LOGR - $d748 + 2
  .db %00000111
  .db %00000011
  .db %00000011
  .db %00000011
  .db %00000011
  .db %00000011
  .db %00000011
  .db %00000111

  .db 8, "LogMi"
  .dw LOGM - $d748 + 2
  .db %00000000
  .db %00000000
  .db %00000000
  .db %00000000
  .db %00000000
  .db %00000000
  .db %00000000
  .db %00000000
  
    
; data patches
    .db 1, "Lives"
    .dw $1C
    .db 5                           ; number of lives, loaded into b register at beginning of source
    
    .db 1, "SXPos"
    .dw $27
    .db 50                          ; starting X position

    .db 13, "Txt1 "
    .dw $71D
    .db 42,27,"written by:"
    
    .db 19, "Txt2 "
    .dw $71D + 14
    .db 30,35,"Trent Lillehaugen"
    
    .db 19, "Txt3 "
    .dw $71D + 34
    .db 10,43,"tllilleh@polymail"
    
    .db 14, "Txt4 "
    .dw $71D + 54
    .db 71,43,".calpoly.edu"

    .db 13, "Txt5 "
    .dw $71D + 69
    .db 45,52,"press enter"
    
    
    

    